PSVita Software 1.52 Doesn't Patch Teck4's Exploit

Quote (Wololo):
Mamosuke confirmed to me today that Teck4′s exploit for the PSP Emulator in the vita is still working on 1.52. Note that it doesn’t guarantee 100% that some of the techniques used to get HBL to work on top of this exploit haven’t been patched, as I haven’t tested myself. But for now I’m confident. I might update to test that, at some point.

Subscribe for Latest News